package com.ruoyi.project.apply.service;

import com.ruoyi.project.apply.domain.TApplyOfflinevalve;

import java.util.List;

/**
 * 安全阀离线切出申请Service接口
 *
 * @author ruoyi
 * @date 2023-02-08
 */
public interface ITApplyOfflinevalveService
{
    /**
     * 查询安全阀离线切出申请
     *
     * @param id 安全阀离线切出申请ID
     * @return 安全阀离线切出申请
     */
    public TApplyOfflinevalve selectTApplyOfflinevalveById(Long id);

    /**
     * 查询安全阀离线切出申请列表
     *
     * @param tApplyOfflinevalve 安全阀离线切出申请
     * @return 安全阀离线切出申请集合
     */
    public List<TApplyOfflinevalve> selectTApplyOfflinevalveList(TApplyOfflinevalve tApplyOfflinevalve);
    public List<TApplyOfflinevalve> selectSAFA(TApplyOfflinevalve tApplyOfflinevalve);

    /**
     * 新增安全阀离线切出申请
     *
     * @param tApplyOfflinevalve 安全阀离线切出申请
     * @return 结果
     */
    public int insertTApplyOfflinevalve(TApplyOfflinevalve tApplyOfflinevalve);

    /**
     * 修改安全阀离线切出申请
     *
     * @param tApplyOfflinevalve 安全阀离线切出申请
     * @return 结果
     */
    public int updateTApplyOfflinevalve(TApplyOfflinevalve tApplyOfflinevalve);

    /**
     * 批量删除安全阀离线切出申请
     *
     * @param ids 需要删除的安全阀离线切出申请ID
     * @return 结果
     */
    public int deleteTApplyOfflinevalveByIds(Long[] ids);

    /**
     * 删除安全阀离线切出申请信息
     *
     * @param id 安全阀离线切出申请ID
     * @return 结果
     */
    public int deleteTApplyOfflinevalveById(Long id);

    public TApplyOfflinevalve selectTApplyOfflinevalveByLock(String lockNo);
}
